Package com.smartgwt.client.data.fields

# Class DataSourceBinaryField

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.core.RefDataClass
com.smartgwt.client.data.Field
com.smartgwt.client.data.DataSourceField
com.smartgwt.client.data.fields.DataSourceBinaryField

All Implemented Interfaces:
  `HasHandlers`

public class DataSourceBinaryField extends DataSourceField

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.RefDataClass

  `id`

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DataSourceBinaryField()`
  `DataSourceBinaryField(String name)`
  `DataSourceBinaryField(String name, String title)`
  `DataSourceBinaryField(String name, String title, int length)`
  `DataSourceBinaryField(String name, String title, int length, boolean required)`

- ## Method Summary

  ### Methods inherited from class com.smartgwt.client.data.DataSourceField

  `getCalculated, getCanEdit, getCanExport, getCanFilter, getCanSave, getCanSortClientOnly, getCanView, getChildrenProperty, getChildTagName, getDateFormatter, getDecimalPad, getDecimalPrecision, getDeepCloneOnEdit, getDefaultOperator, getDescription, getDetail, getDisplayField, getEmptyDisplayValue, getEscapeHTML, getExcludeFromState, getExportForceText, getExportFormat, getExportTitle, getFilterOn, getForeignDisplayField, getForeignKey, getFormat, getFormula, getGroup, getHidden, getIgnoreTextMatchStyle, getImageHeight, getImageHeightAsString, getImageSize, getImageSizeAsString, getImageWidth, getImageWidthAsString, getInapplicable, getJoinPrefix, getJoinString, getJoinSuffix, getLength, getLenientXPath, getMultiple, getMultipleValueSeparator, getName, getNillable, getOrCreateRef, getPluralTitle, getPrecision, getPrimaryKey, getPrompt, getPropertiesOnly, getRecreateOnChange, getRequired, getRequiredMessage, getRootValue, getSequenceName, getShowFileInline, getSortByField, getStringInBrowser, getSummaryFunction, getSummaryValueTitle, getTemplate, getTimeFormatter, getTitle, getType, getTypeAsDataSource, getTypeAsSimpleType, getUploadFieldName, getUseLocalDisplayFieldValue, getValidators, getValidOperators, getValueMap, getValueXPath, getXmlAttribute, setCalculated, setCanEdit, setCanExport, setCanFilter, setCanSave, setCanSortClientOnly, setCanView, setChildrenProperty, setChildTagName, setDateFormatter, setDecimalPad, setDecimalPrecision, setDeepCloneOnEdit, setDefaultOperator, setDescription, setDetail, setDisplayField, setEditorProperties, setEditorType, setEditorType, setEditorType, setEmptyDisplayValue, setEscapeHTML, setExcludeFromState, setExportForceText, setExportFormat, setExportTitle, setFieldValueExtractor, setFilterEditorProperties, setFilterEditorType, setFilterEditorType, setFilterOn, setForeignDisplayField, setForeignKey, setFormat, setFormula, setGroup, setHidden, setIgnoreTextMatchStyle, setImageHeight, setImageHeight, setImageSize, setImageSize, setImageWidth, setImageWidth, setInapplicable, setJoinPrefix, setJoinString, setJoinSuffix, setLength, setLenientXPath, setMultiple, setMultipleValueSeparator, setName, setNillable, setPluralTitle, setPrecision, setPrimaryKey, setPrompt, setPropertiesOnly, setReadOnlyEditorProperties, setReadOnlyEditorType, setReadOnlyEditorType, setReadOnlyEditorType, setRecreateOnChange, setRequired, setRequiredMessage, setRootValue, setRootValue, setRootValue, setRootValue, setSequenceName, setShowFileInline, setSortByField, setStringInBrowser, setSummaryFunction, setSummaryFunction, setSummaryFunction, setSummaryValueTitle, setTemplate, setTimeFormatter, setTitle, setType, setType, setType, setTypeAsDataSource, setUploadFieldName, setUseLocalDisplayFieldValue, setValidators, setValidOperators, setValueMap, setValueMap, setValueXPath, setXmlAttribute`

  ### Methods inherited from class com.smartgwt.client.data.Field

  `setRequired`

  ### Methods inherited from class com.smartgwt.client.core.RefDataClass

  `getRef, getRef, internalSetID`

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DataSourceBinaryField

    public DataSourceBinaryField()

  - ### DataSourceBinaryField

    public DataSourceBinaryField(String name)

  - ### DataSourceBinaryField

    public DataSourceBinaryField(String name, String title)

  - ### DataSourceBinaryField

    public DataSourceBinaryField(String name, String title, int length)

  - ### DataSourceBinaryField

    public DataSourceBinaryField(String name, String title, int length, boolean required)